## timeshift 23.06.2+victoria

=== debian/changelog ===
timeshift (23.06.2+victoria) victoria; urgency=medium

  [ AsciiWolf ]
  * Fix the desktop file name + project license in appdata (#204)

  [ Clement Lefebvre ]
  * Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:16:43 +0100

timeshift (23.06.1) victoria; urgency=medium

  [ GHelliot ]
  * Update Device.vala

  [ TotalCaesar659 ]
  * Update URLs to HTTPS

  [ Yegor Yefremov ]
  * README.md: fix a typo

  [ Vlasov Yuriy ]
  * Added extra constraints to BTRFS mode in Supported System Configurations (#103)

  [ Yegor Yefremov ]
  * src/Utility: fix deprecated Thread.create usage (#151)

  [ Michael Webster ]
  * AsyncTask: Use a mutex to guard access to AsyncTask.status_line.

  [ Yegor Yefremov ]
  * Fix printf format warnings (#162)
  * Don't use deprecated from_timeval_utc function
  * Fix deprecated Thread.create usage
  * Fix segmentation fault (#169)

  [ Ivan Skodje ]
  * Added missing documentation regarding tags abbrevation which was difficult to find (#168)

  [ Yegor Yefremov ]
  * Console: add --version option (#175)

  [ Ivan Skodje ]
  * Development documentation for easier accessibility (#170)

  [ Yegor Yefremov ]
  * Remove timeshift-uninstall binary (#176)
  * Debian clean up (#180)
  * Console: add --version option description to the help massages (#181)
  * src/makefile: remove VTE_291_OLD and VTE_291 symbols (#183)
  * Fix project's license (#189)
  * Use help2man utility to create a man page. (#178)
  * meson support (#173)
  * Fix deprecated Gtk.Widget.margin_left and Gtk.Widget.margin_right properties
  * Use get_hadjustment via casting TreeView to Gtk.Scrollable
  * meson: add project's license definition
  * Don't use the deprecated Gtk.TreeView.rules_hint feature (#201)
  * docs: automatically generate timeshift-gtk manpage (#194)
  * Use an unsafe cast (#200)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 11:46:39 +0100

## timeshift 23.07.1

=== debian/changelog ===
timeshift (23.07.1-1+mx23+2) mx; urgency=medium

  [23.07.1-1+mx23+2]
  * Fix toggle switch between rsync and btrfs mode
  * Use check size of Gee.ArrayList
  * Use blkid for all partitions if lsblk fails to get uuid or fstype
  * Add /tmpdir/* to exclude list
  * Add /home/snapshot/* to exclude list
  * Add /swap/* to exclude list
  * Add swap files listed in fstab to exclude list
  [23.07.1-1+mx23+1]
  * Fix: Allows default btrfs subvolume to be different from the top subvolume.
  * Fix: Always mount the top btrfs subvolume.
  * Fix: Adjustment of the default subvolume after restore.
  * Fix: Use blkid if lsblk fails on luks devices with btrfs.

 -- fehlix <fehlix@mxlinux.org>  Wed, 11 Oct 2023 18:12:36 -0400

timeshift (23.07.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 23.07.1.
  * debian/timeshift.appdata.xml: Checkout upstream version.
  * debian/rules: Switch to meson build system.
  * debian/timeshift.manpages: Do not install debian custom
    man page for now.
  * debian/patches/: Drop old patches, not needed.
  * debian/patches/0001-help2man: Add -N option to disable info pages.
  * debian/timeshift.manpages: Prefer upstream man pages, except
    timeshift-launcher.1 which is not provided by upstream.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Jul 2023 23:07:05 -0400

=== debian/control ===
Source: timeshift
Section: utils
Priority: optional
Maintainer: fehlix <fehlix@mxlinux.org>
XSBC-Original-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
Uploaders:
 Steve Meliza <swm@swm1.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 help2man,
 libgee-0.8-dev,
 libgtk-3-dev,
 libjson-glib-dev,
 libvte-2.91-dev,
 libxapp-dev,
 meson (>1.0),
 valac,
Standards-Version: 4.6.2
Homepage: https://github.com/linuxmint/timeshift
Vcs-Git: https://salsa.debian.org/debian/timeshift.git
Vcs-Browser: https://salsa.debian.org/debian/timeshift

Package: timeshift
Architecture: any
Depends:
 cron-daemon | cron,
 psmisc,
 rsync,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 util-linux (<< 2.37.2~),
Replaces:
 timeshift-btrfs,
Description: System restore utility
 Timeshift is a system restore utility which takes snapshots
 of the system at regular intervals. These snapshots can be restored
 at a later date to undo system changes. Creates incremental snapshots
 using rsync or BTRFS snapshots using BTRFS tools.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

override_dh_strip:
	dh_strip --no-automatic-dbgsym

%:
	dh $@ --buildsystem=meson --builddirectory=mesonbuild

## timeshift 23.07.1+faye

=== debian/changelog ===
timeshift (23.07.1+faye) victoria; urgency=medium

  [ Bobby Rong ]
  * build: allow installing default.json to sysconfdir (#208)
  * treewide: use /usr/bin/env bash for shebang (#209)

  [ Clement Lefebvre ]
  * Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 08 Jul 2023 18:11:01 +0200

timeshift (23.06.2) victoria; urgency=medium

  [ AsciiWolf ]
  * Fix the desktop file name + project license in appdata (#204)

  [ Clement Lefebvre ]
  * Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:16:43 +0100

## timeshift 23.07.1+victoria

=== debian/changelog ===
timeshift (23.07.1+victoria) victoria; urgency=medium

  [ Bobby Rong ]
  * build: allow installing default.json to sysconfdir (#208)
  * treewide: use /usr/bin/env bash for shebang (#209)

  [ Clement Lefebvre ]
  * Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 08 Jul 2023 18:11:01 +0200

## timeshift 23.12.1

=== debian/changelog ===
timeshift (23.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 23.12.1.
  * debian/patches/: Dropped, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Dec 2023 17:27:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: timeshift
 Section: utils
 Priority: optional
-Maintainer: fehlix <fehlix@mxlinux.org>
-XSBC-Original-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
+Maintainer: Yanhao Mo <yanhaocs@gmail.com>
 Uploaders:
  Steve Meliza <swm@swm1.com>,
 Rules-Requires-Root: no
@@ -14,7 +13,7 @@
  libjson-glib-dev,
  libvte-2.91-dev,
  libxapp-dev,
- meson (>1.0),
+ meson,
  valac,
 Standards-Version: 4.6.2
 Homepage: https://github.com/linuxmint/timeshift

## timeshift 23.12.1+virginia

=== debian/changelog ===
timeshift (23.12.1+virginia) virginia; urgency=medium

  [ Boyuan Yang ]
  * docs/man/meson.build: Use -N for help2man to avoid texinfo section (#217)

  [ Robin Candau ]
  * Add the installation/removal instructions for the timeshift Arch package (#220)

  [ Yegor Yefremov ]
  * docs/development.md: fix meson setup command (#224)
  * README.md: point to development docs for the installation from source (#226)

  [ Michael Webster ]
  * Remove INSTALL file.

  [ Clement Lefebvre ]
  * Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:46:39 +0000

timeshift (23.07.1) victoria; urgency=medium

  [ Bobby Rong ]
  * build: allow installing default.json to sysconfdir (#208)
  * treewide: use /usr/bin/env bash for shebang (#209)

  [ Clement Lefebvre ]
  * Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 08 Jul 2023 18:11:01 +0200

## timeshift 23.12.2+virginia

=== debian/changelog ===
timeshift (23.12.2+virginia) virginia; urgency=medium

  [ KeithB ]
  * Fix RAID handling in device lookup (#252)

  [ Michael Webster ]
  * Check /proc/cmdline for the live-session check.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2023 11:50:28 +0000

timeshift (23.12.1) virginia; urgency=medium

  [ Boyuan Yang ]
  * docs/man/meson.build: Use -N for help2man to avoid texinfo section (#217)

  [ Robin Candau ]
  * Add the installation/removal instructions for the timeshift Arch package (#220)

  [ Yegor Yefremov ]
  * docs/development.md: fix meson setup command (#224)
  * README.md: point to development docs for the installation from source (#226)

  [ Michael Webster ]
  * Remove INSTALL file.

  [ Clement Lefebvre ]
  * Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:46:39 +0000

## timeshift 24.01.1

=== debian/changelog ===
timeshift (24.01.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:25:45 +1100

timeshift (24.01.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:09:11 +0000

timeshift (24.01.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 24.01.1.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jan 2024 16:20:48 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: timeshift
 Section: utils
 Priority: optional
-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
 Uploaders:
  Steve Meliza <swm@swm1.com>,
 Rules-Requires-Root: no

## timeshift 24.01.1+faye

=== debian/changelog ===
timeshift (24.01.1+faye) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:02:16 +0000

timeshift (23.12.2) virginia; urgency=medium

  [ KeithB ]
  * Fix RAID handling in device lookup (#252)

  [ Michael Webster ]
  * Check /proc/cmdline for the live-session check.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2023 11:50:28 +0000

## timeshift 24.01.1+virginia

=== debian/changelog ===
timeshift (24.01.1+virginia) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:02:16 +0000

## timeshift 24.01.1+wilma

=== debian/changelog ===
timeshift (24.01.1+wilma) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:02:16 +0000

## timeshift 24.06.1

=== debian/changelog ===
timeshift (24.06.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 24.06.1.
  * debian/control: Recommend installation of pkexec. (Closes: #1069676)
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Jun 2024 18:15:19 -0400

## timeshift 24.06.1+wilma

=== debian/changelog ===
timeshift (24.06.1+wilma) wilma; urgency=medium

  [ mostghost ]
  * Relocated 'delete' to a safer position. (#268)
  * Added confirmation dialog on delete. (#269)

  [ Clement Lefebvre ]
  * Add missing l10n to previous commit
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Jun 2024 11:54:24 +0100

timeshift (24.01.1) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 17:02:16 +0000

## timeshift 24.06.2

=== debian/changelog ===
timeshift (24.06.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 24.06.2.

 -- Boyuan Yang <byang@debian.org>  Tue, 02 Jul 2024 23:50:09 -0400

## timeshift 24.06.2+wilma

=== debian/changelog ===
timeshift (24.06.2+wilma) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 20:56:08 +0100

timeshift (24.06.1) wilma; urgency=medium

  [ mostghost ]
  * Relocated 'delete' to a safer position. (#268)
  * Added confirmation dialog on delete. (#269)

  [ Clement Lefebvre ]
  * Add missing l10n to previous commit
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Jun 2024 11:54:24 +0100

## timeshift 24.06.3

=== debian/changelog ===
timeshift (24.06.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 24.06.3.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Sep 2024 23:52:30 -0400

## timeshift 24.06.3+wilma

=== debian/changelog ===
timeshift (24.06.3+wilma) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:41:56 +0100

timeshift (24.06.2) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 20:56:08 +0100

## timeshift 24.06.4+xia

=== debian/changelog ===
timeshift (24.06.4+xia) xia; urgency=medium

  [ Maxim Ostapenko ]
  * Added a way to install and uninstall a program in ALT Linux (#312)

  [ Yannis Gerlach ]
  * always have an config object (#371)

  [ dampfwal3477 ]
  * Update timeshift.appdata.xml (#356)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Dec 2024 10:14:50 +0000

timeshift (24.06.3) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:41:56 +0100

## timeshift 24.06.5+xia

=== debian/changelog ===
timeshift (24.06.5+xia) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:54:22 +0000

timeshift (24.06.4) xia; urgency=medium

  [ Maxim Ostapenko ]
  * Added a way to install and uninstall a program in ALT Linux (#312)

  [ Yannis Gerlach ]
  * always have an config object (#371)

  [ dampfwal3477 ]
  * Update timeshift.appdata.xml (#356)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Dec 2024 10:14:50 +0000

## timeshift 24.06.6

=== debian/changelog ===
timeshift (24.06.6-2) unstable; urgency=medium

  * Fix appdata by updating it to upstream (Closes: #1101752)

 -- Steve Meliza <swm@swm1.com>  Tue, 01 Apr 2025 17:28:16 -0700

timeshift (24.06.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 24.06.6.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jan 2025 18:07:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: timeshift
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
+Maintainer: Yanhao Mo <yanhaocs@gmail.com>
 Uploaders:
  Steve Meliza <swm@swm1.com>,
 Rules-Requires-Root: no
@@ -16,7 +15,7 @@
  libxapp-dev,
  meson,
  valac,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/linuxmint/timeshift
 Vcs-Git: https://salsa.debian.org/debian/timeshift.git
 Vcs-Browser: https://salsa.debian.org/debian/timeshift
@@ -29,6 +28,8 @@
  rsync,
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ pkexec,
 Breaks:
  util-linux (<< 2.37.2~),
 Replaces:

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

=== debian/watch ===
version=4
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+ds, \
   filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%timeshift-$1.tar.gz%" \
   https://github.com/linuxmint/timeshift/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## timeshift 24.06.6+faye

=== debian/changelog ===
timeshift (24.06.6+faye) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2025 14:15:15 +0000

timeshift (24.06.5) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:54:22 +0000

## timeshift 24.06.6+xia

=== debian/changelog ===
timeshift (24.06.6+xia) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2025 14:15:15 +0000

## timeshift 25.07.2+zara

=== debian/changelog ===
timeshift (25.07.2+zara) zara; urgency=medium

  [ Michael Webster ]
  * Don't flag new log messages for translations.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 30 Jul 2025 16:49:20 +0200

timeshift (25.07.1) zara; urgency=medium

  [ Michael Webster ]
  * Subvolume.vala: (btrfs) Wait for async file operations to complete.

  [ Pierre Carru ]
  * Btrfs: support default subvolid!=0 (#334)

  [ entith ]
  * Allow explicitly setting ondemand tag from CLI (#399)

  [ suve ]
  * AppStream metadata fixes (#391)

  [ Yannis Gerlach ]
  * Remove dependencies to external binarys (#333)

  [ snwbrds2922 ]
  * Add user settings before defaults (#342)

  [ Yannis Gerlach ]
  * query the correct root path on btrfs (#377)
  * add "timeshift" to the tempdir names (#395)
  * refactor LinuxDistro (#376)

  [ Michael Webster ]
  * Main.vala: Don't check for distro name on every device.

  [ mwoz123 ]
  * BTRFS custom hooks (#381)

  [ Shyliuli ]
  * Specify the environment variables named DISPLAY and XAUTHORITY (#384)

  [ TechManWalker ]
  * Always delete brfs volumes recursively (#423)

  [ Yannis Gerlach ]
  * only kill a task if its pid is set (#427)

  [ Nikita Stelmashenko ]
  * Add full non-interactive mode (#388)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 30 Jul 2025 16:42:06 +0200

timeshift (24.06.6) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2025 14:15:15 +0000

## timeshift 25.07.4+zara

=== debian/changelog ===
timeshift (25.07.4+zara) zara; urgency=medium

  [ Michael Webster ]
  * TeeJee.Process.vala: Use GLib read_link instead of Posix readlink.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 16:40:41 +0200

timeshift (25.07.3) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 12:32:57 +0200

timeshift (25.07.2) zara; urgency=medium

  [ Michael Webster ]
  * Don't flag new log messages for translations.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 30 Jul 2025 16:49:20 +0200

## timeshift 25.07.5

=== debian/changelog ===
timeshift (25.07.5-1kaisen) kaisen-packages; urgency=medium

  * Import the 25.07.5 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 23:48:11 +0200

timeshift (24.06.6-1kaisen) kaisen-packages; urgency=medium

  * Import the 24.06.6 release
  * Add the restore function to the kaisen-snapshot wrapper

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 12 Jan 2025 05:20:17 +0200

timeshift (24.06.3-2kaisen) kaisen-packages; urgency=medium

  * Add the kaisen-snapshot command (Timeshift BASH wrapper)

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 02 Oct 2024 18:15:27 +0200

timeshift (24.06.3-1kaisen) kaisen-packages; urgency=medium

  * Import the new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 18 Aug 2024 01:22:04 +0200

timeshift (24.01.1-2kaisen) kaisen-packages; urgency=medium

  * Update the default conffile to only include the following configurations:
    - BTRFS by default
    - No run in first mode
  * Drop the kaisen-configuration.patch
  * Use the debian/timeshift.json file as conffile instead of the quilt patch
  * Add the default.json conffile

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 24 May 2024 15:18:24 +0200

timeshift (24.01.1-1kaisen) kaisen-packages; urgency=medium

  * Import the new upstream release
  * Add a new default conf including:
    - BTRFS by default
    - No run in first mode
    - Backup /home partition by default
    - Do not restore /home partition by default

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 20 Apr 2023 16:08:39 +0100

timeshift (22.11.2-3kaisen) kaisen-packages; urgency=medium

  * Update the control file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 02 Apr 2023 19:55:41 +0100

timeshift (22.11.2-2kaisen) kaisen-packages; urgency=medium

  * Remove the /usr/share/applications folder

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 01 Apr 2023 16:18:07 +0100

timeshift (22.11.2-1kaisen) kaisen-packages; urgency=medium

  * Add a patch to not display the log message
    "btrfs: Quotas are not enabled"

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 01 Apr 2023 14:10:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: timeshift
 Section: utils
 Priority: optional
-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
-Uploaders:
- Steve Meliza <swm@swm1.com>,
+XSBC-Original-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
+Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -15,10 +14,11 @@
  libxapp-dev,
  meson,
  valac,
-Standards-Version: 4.7.0
+ bzip2,
+Standards-Version: 4.7.2
 Homepage: https://github.com/linuxmint/timeshift
-Vcs-Git: https://salsa.debian.org/debian/timeshift.git
-Vcs-Browser: https://salsa.debian.org/debian/timeshift
+Vcs-Git: https://gitlab.com/kaisenlinux/packages/timeshift.git
+Vcs-Browser: https://gitlab.com/kaisenlinux/packages/timeshift
 
 Package: timeshift
 Architecture: any
@@ -28,8 +28,6 @@
  rsync,
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
- pkexec,
 Breaks:
  util-linux (<< 2.37.2~),
 Replaces:

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,9 @@
 
 %:
 	dh $@
+
+execute_after_dh_auto_install:
+	rm -rf $(CURDIR)/debian/timeshift/usr/share/applications
+	rm -f $(CURDIR)/debian/timeshift/etc/timeshift/timeshift.json
+	cp -rf $(CURDIR)/debian/etc/timeshift/ $(CURDIR)/debian/timeshift/etc/
+	install -p -m 0755 $(CURDIR)/debian/kaisen-snapshot $(CURDIR)/debian/timeshift/usr/sbin/

## timeshift 25.07.5+zara

=== debian/changelog ===
timeshift (25.07.5+zara) zara; urgency=medium

  [ Ukang'a Dickson ]
  * Error if both lsb_release n os_release are missing (#431)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 06 Aug 2025 18:06:36 +0200

timeshift (25.07.4) zara; urgency=medium

  [ Michael Webster ]
  * TeeJee.Process.vala: Use GLib read_link instead of Posix readlink.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 16:40:41 +0200

## timeshift 25.07.6+zara

=== debian/changelog ===
timeshift (25.07.6+zara) zara; urgency=medium

  [ Michael Webster ]
  * Add startup check of btrfs-progs version to determine capabilities.
  * Main.vala: Improve readability of btrfs-progs version check.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2025 16:42:22 +0200

timeshift (25.07.5) zara; urgency=medium

  [ Ukang'a Dickson ]
  * Error if both lsb_release n os_release are missing (#431)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 06 Aug 2025 18:06:36 +0200

## timeshift 25.07.7

=== meson_options.txt ===
option('man', type: 'boolean', value: true, description: 'build man pages using help2man')
option('xapp', type: 'boolean', value: true, description: 'enable support for xapp library')

=== debian/changelog ===
timeshift (25.07.7-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 11 Oct 2025 17:29:39 -0700

timeshift (25.07.7-1) unstable; urgency=medium

  * New upstream version 25.07.7

 -- Steve Meliza <swm@swm1.com>  Sat, 13 Sep 2025 19:04:04 -0700

=== debian/control ===
Source: timeshift
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Yanhao Mo <yanhaocs@gmail.com>
Uploaders: Steve Meliza <swm@swm1.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               help2man,
               libgee-0.8-dev,
               libgtk-3-dev,
               libjson-glib-dev,
               libvte-2.91-dev,
               libxapp-dev,
               meson,
               valac
Standards-Version: 4.7.2
Homepage: https://github.com/linuxmint/timeshift
Vcs-Git: https://salsa.debian.org/debian/timeshift.git
Vcs-Browser: https://salsa.debian.org/debian/timeshift

Package: timeshift
Architecture: any
Depends: cron | cron-daemon, psmisc, rsync, ${misc:Depends}, ${shlibs:Depends}
Recommends: pkexec
Breaks: util-linux (<< 2.37.2~)
Replaces: timeshift-btrfs
Description: System restore utility
 Timeshift is a system restore utility which takes snapshots
 of the system at regular intervals. These snapshots can be restored
 at a later date to undo system changes. Creates incremental snapshots
 using rsync or BTRFS snapshots using BTRFS tools.

## timeshift 25.07.7+gigi

=== debian/changelog ===
timeshift (25.07.7+gigi) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2025 18:02:04 +0200

timeshift (25.07.6) zara; urgency=medium

  [ Michael Webster ]
  * Add startup check of btrfs-progs version to determine capabilities.
  * Main.vala: Improve readability of btrfs-progs version check.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2025 16:42:22 +0200

## timeshift 25.07.7+zara

=== debian/changelog ===
timeshift (25.07.7+zara) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2025 18:02:04 +0200

=== debian/control ===
Source: timeshift
Section: utils
Priority: extra
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper-compat (= 10),
               gzip,
               valac,
               libgtk-3-dev,
               libgee-0.8-dev,
               libjson-glib-dev,
               libvte-2.91-dev,
               libxapp-dev,
               meson,
               pkg-config,
               help2man,
Standards-Version: 3.9.3
Homepage: https://github.com/linuxmint/timeshift

Package: timeshift
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rsync, debianutils, btrfs-progs | btrfs-tools
Replaces: timeshift-btrfs
Description: System restore utility
 Timeshift is a system restore utility which takes snapshots
 of the system at regular intervals. These snapshots can be restored
 at a later date to undo system changes. Creates incremental snapshots
 using rsync or BTRFS snapshots using BTRFS tools.

## timeshift 25.12.0+zena

=== debian/changelog ===
timeshift (25.12.0+zena) zena; urgency=medium

  [ Yannis Gerlach ]
  * improve issue template (#478)
  * trigger backup hooks after rsync snapshots (#470)

  [ Yupeng Chen ]
  * Subvolume: Enhance nested subvolume deletion verification process (#467)

  [ Jeroen Derks ]
  * Update Main.vala function restore_current_system check that dst_root is not null (#386)

  [ Yannis Gerlach ]
  * improve retrieving of session related environment variables (#460)
  * Do not fail all subvolumes if one failed to remove a qgroup; only sync if qgroups are going to be deleted (#458)
  * add button to pause rsync snapshots (#469)

  [ ygerlach ]
  * remove dependency to which, chmod and chown
  * remove unused code; fix compiler warnings; only update control file if changed

  [ Yannis Gerlach ]
  * Simplify `AsyncTask` code and use `RsyncTask` to estimate Snapshot size (#428)
  * Fix about links (#459)
  * Fix notify (#475)

  [ Integral ]
  * fix: replace XWayland backend with Wayland in Wayland sessions (#414)
    (Closes: #387)

  [ Michael Webster ]
  * timeshift-launcher: Remove wayland check, rename copy_env() to setup_env().

  [ Bryan Fink ]
  * add lvm-on-luks partition to crypttab (#398)

  [ Zachary Fogg ]
  * Check if qgroup exists before attempting to destroy it (#484)

  [ YuShi ]
  * fix: the continue loop error in the device selection logic (#456)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Dec 2025 15:01:36 +0000

timeshift (25.07.7) zara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2025 18:02:04 +0200

## timeshift 25.12.1+zena

=== debian/changelog ===
timeshift (25.12.1+zena) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Dec 2025 17:03:55 +0000

timeshift (25.12.0) zena; urgency=medium

  [ Yannis Gerlach ]
  * improve issue template (#478)
  * trigger backup hooks after rsync snapshots (#470)

  [ Yupeng Chen ]
  * Subvolume: Enhance nested subvolume deletion verification process (#467)

  [ Jeroen Derks ]
  * Update Main.vala function restore_current_system check that dst_root is not null (#386)

  [ Yannis Gerlach ]
  * improve retrieving of session related environment variables (#460)
  * Do not fail all subvolumes if one failed to remove a qgroup; only sync if qgroups are going to be deleted (#458)
  * add button to pause rsync snapshots (#469)

  [ ygerlach ]
  * remove dependency to which, chmod and chown
  * remove unused code; fix compiler warnings; only update control file if changed

  [ Yannis Gerlach ]
  * Simplify `AsyncTask` code and use `RsyncTask` to estimate Snapshot size (#428)
  * Fix about links (#459)
  * Fix notify (#475)

  [ Integral ]
  * fix: replace XWayland backend with Wayland in Wayland sessions (#414)
    (Closes: #387)

  [ Michael Webster ]
  * timeshift-launcher: Remove wayland check, rename copy_env() to setup_env().

  [ Bryan Fink ]
  * add lvm-on-luks partition to crypttab (#398)

  [ Zachary Fogg ]
  * Check if qgroup exists before attempting to destroy it (#484)

  [ YuShi ]
  * fix: the continue loop error in the device selection logic (#456)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Dec 2025 15:01:36 +0000

## timeshift 25.12.2+zena

=== debian/changelog ===
timeshift (25.12.2+zena) zena; urgency=medium

  [ Michael Webster ]
  * TeeJee.FileSystem.vala: Remove any existing destination file before attempting to write.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Dec 2025 12:34:23 +0000

timeshift (25.12.1) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Dec 2025 17:03:55 +0000

## timeshift 25.12.3+zena

=== debian/changelog ===
timeshift (25.12.3+zena) zena; urgency=medium

  [ sonst-was ]
  * Update AppConsole.vala (#490)

  [ Michael Webster ]
  * Main.vala: Fix a warning and don't update config file when exiting early due to an error.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 07 Jan 2026 12:37:31 +0000

timeshift (25.12.2) zena; urgency=medium

  [ Michael Webster ]
  * TeeJee.FileSystem.vala: Remove any existing destination file before attempting to write.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Dec 2025 12:34:23 +0000

## timeshift 25.12.4

=== debian/changelog ===
timeshift (25.12.4-1) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump Standards-Version to 4.7.3.
  * New upstream version 25.12.4.

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Feb 2026 17:43:17 -0500

=== debian/control ===
Source: timeshift
Section: utils
Maintainer: Yanhao Mo <yanhaocs@gmail.com>
Uploaders:
 Steve Meliza <swm@swm1.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 help2man,
 libgee-0.8-dev,
 libgtk-3-dev,
 libjson-glib-dev,
 libvte-2.91-dev,
 libxapp-dev,
 meson,
 valac,
Standards-Version: 4.7.3
Homepage: https://github.com/linuxmint/timeshift
Vcs-Git: https://salsa.debian.org/debian/timeshift.git
Vcs-Browser: https://salsa.debian.org/debian/timeshift

Package: timeshift
Architecture: any
Depends:
 cron | cron-daemon,
 psmisc,
 rsync,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 pkexec,
Breaks:
 util-linux (<< 2.37.2~),
Replaces:
 timeshift-btrfs,
Description: System restore utility
 Timeshift is a system restore utility which takes snapshots
 of the system at regular intervals. These snapshots can be restored
 at a later date to undo system changes. Creates incremental snapshots
 using rsync or BTRFS snapshots using BTRFS tools.

## timeshift 25.12.4+gigi

=== debian/changelog ===
timeshift (25.12.4+gigi) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 16:23:01 +0000

timeshift (25.12.3) zena; urgency=medium

  [ sonst-was ]
  * Update AppConsole.vala (#490)

  [ Michael Webster ]
  * Main.vala: Fix a warning and don't update config file when exiting early due to an error.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 07 Jan 2026 12:37:31 +0000

## timeshift 25.12.4+zena

=== debian/changelog ===
timeshift (25.12.4+zena) zena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 16:23:01 +0000
